Page MenuHomePhabricator

db1110 has 5 important database drifts that are unique to the host
Closed, ResolvedPublic

Description

db1110 (replica in s5) has five drifts that only happen in the host and nowhere else:

  • externallinks el_backlinks_to index-mismatch-prod-extra
  • externallinks el_from_namespace field-mismatch-prod-extra
  • recentchanges rc_cur_time field-mismatch-prod-extra
  • recentchanges rc_moved_to_ns field-mismatch-prod-extra
  • recentchanges rc_moved_to_title field-mismatch-prod-extra

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2020, 12:20 AM
Marostegui renamed this task from db1110 has 5 important database drifts that are unqiue to the host to db1110 has 5 important database drifts that are unique to the host.Apr 13 2020, 6:36 AM
Marostegui triaged this task as Medium priority.
Marostegui moved this task from Triage to Next on the DBA board.
Marostegui added a subscriber: Marostegui.

@Ladsgroup are all thse on dewiki right?

The drifts from externallinks look like they come from T114117: Drop externallinks.el_from_namespace on wmf databases which probably were not done on db1110 (or it got rebuilt from somewhere where it wasn't at the time.
rc_cur_time looks like a left over from T42667
rc_moved_to_ns and rc_moved_to_title are left overs from T36960

I will get all these fixed.

Confirmed it only affects dewiki

Mentioned in SAL (#wikimedia-operations) [2020-04-13T06:50:22Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1110 T249973', diff saved to https://phabricator.wikimedia.org/P10961 and previous config saved to /var/cache/conftool/dbconfig/20200413-065022-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-04-13T06:51:31Z] <marostegui> Deploy schema changes on db1110 - T249973

Marostegui closed this task as Resolved.Apr 13 2020, 7:17 AM

This is fixed:

root@cumin1001:/home/marostegui# mysql.py -hdb1110 -e "show create table dewiki.externallinks\G"
*************************** 1. row ***************************
       Table: externallinks
Create Table: CREATE TABLE `externallinks` (
  `el_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `el_from` int(8) unsigned NOT NULL DEFAULT '0',
  `el_to` blob NOT NULL,
  `el_index` blob NOT NULL,
  `el_index_60` varbinary(60) NOT NULL,
  PRIMARY KEY (`el_id`),
  KEY `el_from` (`el_from`,`el_to`(40)),
  KEY `el_to` (`el_to`(60),`el_from`),
  KEY `el_index` (`el_index`(60)),
  KEY `el_index_60` (`el_index_60`,`el_id`),
  KEY `el_from_index_60` (`el_from`,`el_index_60`,`el_id`)
) ENGINE=InnoDB AUTO_INCREMENT=89764786 DEFAULT CHARSET=binary
root@cumin1001:/home/marostegui# mysql.py -hdb1110 -e "show create table dewiki.recentchanges\G"
*************************** 1. row ***************************
       Table: recentchanges
Create Table: CREATE TABLE `recentchanges` (
  `rc_id` int(8) NOT NULL AUTO_INCREMENT,
  `rc_timestamp` varbinary(14) NOT NULL DEFAULT '',
  `rc_actor` bigint(20) unsigned NOT NULL,
  `rc_namespace` int(11) NOT NULL DEFAULT '0',
  `rc_title` varbinary(255) NOT NULL DEFAULT '',
  `rc_comment_id` bigint(20) unsigned NOT NULL,
  `rc_minor` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `rc_bot` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `rc_new` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `rc_cur_id` int(10) unsigned NOT NULL DEFAULT '0',
  `rc_this_oldid` int(10) unsigned NOT NULL DEFAULT '0',
  `rc_last_oldid` int(10) unsigned NOT NULL DEFAULT '0',
  `rc_type` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `rc_source` varbinary(16) NOT NULL DEFAULT '',
  `rc_patrolled` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `rc_ip` varbinary(40) NOT NULL DEFAULT '',
  `rc_old_len` int(10) DEFAULT NULL,
  `rc_new_len` int(10) DEFAULT NULL,
  `rc_deleted` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `rc_logid` int(10) unsigned NOT NULL DEFAULT '0',
  `rc_log_type` varbinary(255) DEFAULT NULL,
  `rc_log_action` varbinary(255) DEFAULT NULL,
  `rc_params` blob,
  PRIMARY KEY (`rc_id`),
  KEY `rc_timestamp` (`rc_timestamp`),
  KEY `rc_cur_id` (`rc_cur_id`),
  KEY `new_name_timestamp` (`rc_new`,`rc_namespace`,`rc_timestamp`),
  KEY `rc_ip` (`rc_ip`),
  KEY `rc_name_type_patrolled_timestamp` (`rc_namespace`,`rc_type`,`rc_patrolled`,`rc_timestamp`),
  KEY `rc_ns_actor` (`rc_namespace`,`rc_actor`),
  KEY `rc_actor` (`rc_actor`,`rc_timestamp`),
  KEY `rc_namespace_title_timestamp` (`rc_namespace`,`rc_title`,`rc_timestamp`),
  KEY `rc_this_oldid` (`rc_this_oldid`)
) ENGINE=InnoDB AUTO_INCREMENT=288452937 DEFAULT CHARSET=binary

Mentioned in SAL (#wikimedia-operations) [2020-04-13T07:17:40Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repool db1110 T249973', diff saved to https://phabricator.wikimedia.org/P10962 and previous config saved to /var/cache/conftool/dbconfig/20200413-071740-marostegui.json